      program test2

      real a(5,5), ha(5,5)
cmf$  layout ha(:host)

      ha = 4.0
c     move ha to nodes
      a = ha
      a = a + 1.0
c     move from nodes to host
      ha = a
c
c     print results
      do i = 1, 5
         print '(5f10.5)', ha(i,:)
      end do
c 
      print * , 'results should all be 5 '
      end
